<?php
namespace Claromentis\Core\TrashCan;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_0c5123aa744f69bbc0" . "e8b3ea2f6e847d" => base64_decode("bG1z" . "Zw=="), "_a540f3d49e" . "78c8620c454" . "7ce19cefb33" => base64_decode("Y29tbW9uLnRyYXNoX2Nhbi5kZWxldGVkX2J5X2Fk" . "bWluaXN0cmF0b3I="));
use CommonListOutputUser;






class TrashCanListOutputUser extends CommonListOutputUser
{
    public function FormatAsHTML($value)
    {
        if (!$value) {
            return $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_0c5123aa744f69" . "bbc0e8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_a540f3d49e78c8620c454" . "7ce19cefb33"]);
        }
        return parent::FormatAsHTML($value);
    }
    public function FormatAsText($value)
    {
        if (!$value) {
            return $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_0c5123aa744f69bbc0e" . "8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_a540f3d49e78c8620c4547ce1" . "9cefb33"]);
        }
        return parent::FormatAsText($value);
    }
}